### org.jfree.layouting.renderer.process

# Class RightAlignmentProcessor

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.AbstractAlignmentProcessor`
  - - `org.jfree.layouting.renderer.process.RightAlignmentProcessor`

Implemented Interfaces:
  TextAlignmentProcessor

`public class RightAlignmentProcessor`
`extends AbstractAlignmentProcessor`

Right alignment strategy. Not working yet, as this is unimplemented right now.

Author:
  Thomas Morgner

  ## Constructor Summary

  `RightAlignmentProcessor()`

  ## Method Summary

  `protected int`

  `handleLayout(int start, int count, int contentIndex, long usedWidth)`

  ### Methods inherited from class org.jfree.layouting.renderer.process.AbstractAlignmentProcessor

  `computeInlineBlock`, `getBreakableIndex`, `getElementDimensions`, `getElementPositions`, `getEndOfLine`, `getPageBreak`, `getPageGrid`, `getSequenceElements`, `getSkipIndex`, `getStartOfLine`, `handleElement`, `handleLayout`, `hasNext`, `initialize`, `iterate`, `next`, `setBreakableIndex`, `setSkipIndex`

## Constructor Details

### RightAlignmentProcessor

    public RightAlignmentProcessor()

## Method Details

### handleLayout

    protected int handleLayout(int start,
                               int count,
                               int contentIndex,
                               long usedWidth)

> Overrides:
>   handleLayout in interface AbstractAlignmentProcessor